.\" $NetBSD: autoconf.4,v 1.8 2001/04/11 18:38:58 wiz Exp $
.\"
.\" Copyright (c) 1990, 1991 Regents of the University of California.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed by Christopher G. Demetriou.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd June 14, 2000
.Dt AUTOCONF 4 amiga
.Os
.Sh NAME
.Nm autoconf
.Nd diagnostics from the autoconfiguration code
.Sh DESCRIPTION
When
.Nx
bootstraps it probes the innards of the machine
on which it is running
and locates controllers, drives, and other devices, printing out
what it finds on the console.  This procedure is driven by a system
configuration table which is processed by
.Xr config 1
and compiled into each kernel.
Devices which exist in the machine but are not configured into the
kernel are not detected.
.Sh DIAGNOSTICS
.Bl -diag
.It CPU class not configured.
You tried to boot
.Nx
on a class of
.Tn CPU
type which it doesn't
(or at least this compiled version of
.Nx
doesn't) understand.
.Pp
.It %s at mainbus0.
An Amiga internal device
.Ql %s
was configured
.It not configured.
If this line follows the
.Ql fd0 at fdc0
configuration line, this diagnostic
indicates that a second floppy drive was detected, but was not configured
into the kernel.
.Pp
.It zbus0 at mainbus0 [mem 0x%x-0x%x].
The kernel is configuring AutoConfigured expansion boards.  If any Zorro
II memory was detected, the virtual address of the space reserved for
DMA bounce buffers is printed.
.Pp
.It %s at zbus0: pa 0x%x man/prod %d/%d.
A Zorro expansion board was configured.
.Ql pa 0x%0x
is the physical address the board was configured at.
.Ql Man/prod %d/%d
is the manufacturer/product codes.
.Pp
.It %s at zbus0: pa 0x%x man/prod %d/%d not configured.
A Zorro expansion board located at
.Ql pa 0x%0x
with a manufacturer/product code
.Ql %d/%d
was found that is not configured into the kernel.
.El
.Sh SEE ALSO
.Xr config 1 ,
.Xr intro 4 ,
.Xr boot 8
